> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Book (L3)

> Get current L3 order book



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /exchange/api/v1/order_book
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /exchange/api/v1/order_book:
    get:
      tags:
        - Market
      summary: Get Order Book (L3)
      description: Get current L3 order book
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          description: The trader address, with the discriminant prefix.
          example: '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
        - in: query
          name: strategyIdHash
          schema:
            type: string
          description: The strategy id hash.
          example: 628550609
        - name: depth
          in: query
          schema:
            type: integer
          example: 4
          description: The best N bids and asks to return, where N = depth
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
        - in: query
          name: side
          schema:
            type: integer
            enum:
              - 0
              - 1
          description: |
            The side of the order. Values include:
              0: Bid,
              1: Ask
          example: 0
      responses:
        '200':
          description: Order book l3 data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeAPIOrderBookL3SuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    ExchangeAPIOrderBookL3SuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              bookOrdinal:
                type: number
              orderHash:
                type: string
                description: A hash of the order details.
                examples:
                  - '0xc8ab0f901fc3968dfae99b6efb34b0bdd81d69aefb21effcf5'
              symbol:
                type: string
                description: The symbol of the asset for this order.
                examples:
                  - ETHP
              side:
                type: number
                description: 'The side of the order. Values include:  0: Bid,  1: Ask'
                examples:
                  - 0
                  - 1
              originalAmount:
                type: string
                description: The original order amount (before any fills).
                examples:
                  - '1.0'
              amount:
                type: string
                description: The order amount currently left on this order.
                examples:
                  - '0.9'
              price:
                type: string
                description: The order price.
                examples:
                  - '595.8'
              traderAddress:
                type: string
                description: >-
                  The trader address prefixed with the blockchain discriminant
                  of the trader who owns this order.
                examples:
                  - '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
              strategyIdHash:
                type: string
                description: The strategy id hash of the trader.
                examples:
                  - '0x2576ebd1'
            required:
              - amount
              - bookOrdinal
              - orderHash
              - originalAmount
              - price
              - side
              - strategyIdHash
              - symbol
              - traderAddress
            description: A current open order on the book.
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the OrderBook L3 API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````